<div class="mainbox-container clearfix">
	<h1 class="mainbox-title">
		<span>{$lang.redesk_contact_us}</span>
	</h1>
	<div class="mainbox-body">
		{if !$smarty.request.result}
		<div class="cm-notification-container"></div>
		<div class="wysiwyg-content">
			{$lang.redesk_form_below}
			<p>&nbsp;</p>

			<div class="form-wrap form-wrap-default">
				<div class="form-wrap-l"></div>
				<div class="form-wrap-r"></div>
				<form action="" method="post" name="forms_form" enctype="multipart/form-data">
					<input type="hidden" name="fake" value="1">
					<input type="hidden" name="page_id" value="30">
					<div class="form-field">
						<label for="elm_2" class="cm-required cm-email">{$lang.email}</label>
						<input id="elm_2" class="input-text" size="50" type="text" name="ticket[email]" value="{$smarty.request.ticket.email}">
					</div>

					<div class="form-field">
						<label for="elm_5" class="cm-required">{$lang.department}</label>
						<select name="ticket[department]" id="elm_5">
							<option value=""></option>
							{if $departments}
								{foreach from=$departments item="department"}
									<option value="{$department.id}" {if $smarty.request.ticket.department == $department.id}selected="selected"{/if}>{$department.name}</option>
								{/foreach}
							{/if}
						</select>
					</div>

					<div class="form-field">
						<label for="elm_1" class="cm-required">{$lang.full_name}</label>
						<input id="elm_1" class="input-text" size="50" type="text" name="ticket[full_name]" value="{if $smarty.request.ticket}{$smarty.request.ticket.full_name}{else}{$order_info.b_firstname} {$order_info.b_lastname}{/if}">
					</div>

					<div class="form-field">
						<label for="elm_6" class="cm-required">{$lang.subject}</label>
						<input id="elm_6" class="input-text" size="50" type="text" name="ticket[subject]" value="{$smarty.request.ticket.subject}">
					</div>

					<div class="form-field">
						<label for="elm_7">{$lang.order_id}</label>
						<input id="elm_7" class="input-text" size="50" type="text" name="ticket[order_id]" value="{if $smarty.request.ticket}{$smarty.request.ticket.subject}{elseif $order_info}{$order_info.order_id}{/if}">
					</div>

					<div class="form-field">
						<label for="elm_3" class="cm-required">{$lang.body}</label>
						<textarea id="elm_3" class="input-textarea" name="ticket[body]" cols="67" rows="10">{$smarty.request.ticket.body}</textarea>
					</div>

					{if $settings.redesk_connection.general.image_verification == "Y"}
						{include file="common_templates/image_verification.tpl" id="redesk_form"}
					{/if}

					<div class="form-field">
						{script src="js/fileuploader_scripts.js"}
						{include file="common_templates/fileuploader.tpl" var_name="redesk_files[]" multiupload=true}
					</div>

					<div class="buttons-container">
						<span class="button-submit button-wrap-left"><span class="button-submit button-wrap-right"><input type="submit" name="dispatch[pages.send_form]" value="{$lang.submit}"></span></span>
					</div>
				</form>
			</div>
		</div>
		{else}
			<strong>{$lang.redesk_sent_message}</strong>
		{/if}
	</div>
</div>